<template>
    <div class="card">
        <div class="img">
            <img :src="_img" alt="image de profil" style="object-fit: cover;"/>
        </div>
        <div class="text">
            <h1>{{ _name }}</h1>
            <h4>{{ _description }}</h4>
        </div>
    </div>
</template>

<script>
export default {
    props: {
        _name: {
            type: String,
            required: true
        },
        _img: {
            type: String,
            required: true
        },
        _description: {
            type: String,
            required: true
        }
    }
}
</script>

<style scoped>
.card {
    position: relative;
    border-radius: 10px;
    overflow: hidden;
    width: 200px;
    height: 300px;
}
.img img:hover {
    transform: scale(1.1);
    transition: all 0.5s ;

}
.img{
    width: 200px;
    height: 300px;
    background-color: rgb(194, 194, 194);
    display: flex;
}
.text {
  background-color: rgba(0, 128, 0, 0.5);
  height: initial;
  width: 200px;
  position: absolute;
  bottom: 0;
  text-align: center;

}
h1 {
    margin: 0;
    font-size: x-large;
    color: white;
}

h4 {
    margin: 0;
    font-size: small;
    padding-bottom: 10px;
    color: white;
}

</style>